import { fullUserAvatarFragment } from '../users/queries.js'

export const hasNewNotificationsQuery = `
  query hasNewNotifications {
    hasNewNotifications {
      id
      status
    }
  }
`

const fullUserFragment = `
  fragment FullUser on User {
    id
    identity
    avatar
    avatarBlurhash
    avatarDefaultColor
    avatarLabel
    identity
    fullName
    firstName
    lastName
    aboutMe
    pronouns
    location
    geolocationId
    engagementLevel
    interests {
      id
      title
      slug
    }
    sdgs {
      id
      title
      slug
    }
    skills {
      id
      title
      slug
    }
    connectionStatusToMyself
  }
`

export const authenticatedUserQuery = `
  ${fullUserFragment}

  query AuthenticatedUser {
    authenticatedUser {
      ...FullUser
    }
  }
`

export const notificationsQuery = `
  ${fullUserAvatarFragment}

  query Notifications($offset: Int! = 0, $limit: Int! = 100) {
    notifications(offset: $offset, limit: $limit) {
      data {
        id
        notificationType
        owner {
          ...FullUserAvatar
        }
        created
        read
        options {
          post {
            id
            title
            isPublic
            creator {
              ...FullUserAvatar
            }
          }
          user {
            ...FullUserAvatar
          }
          postComment {
            id
            post {
              id
            }
          }
          space {
            id
            title
            avatar
            avatarDefaultColor
          }
          teaser
          message
        }
      }
      totalResults
    }
  }
`
